package se.chalmers.tdv.ddmin.debug;

import java.util.Collection;

import se.chalmers.tdv.ddmin.DDMin;
import se.chalmers.tdv.ddmin.DDTest;

public aspect DebugDDMin {

	before(Collection<?> c, int n) : 
		execution(* DDMin+.ddmin(Collection+, int)) && args(c,n)  {
		System.out.println("ddmin " + n + " - " + c);
	}

	after(Collection<?> c) returning (int res):
		execution(int DDTest+.test(Collection+)) && args(c) {
		String resS = "UNRESOLVED";
		if (res == DDMin.FAIL)
			resS = "FAIL";
		if (res == DDMin.PASS)
			resS = "PASS";
		System.out.println("  test " + c + " " + resS);
	}

}
